close all
figure;
x=Parameterstudy.AxStiff;
y=Parameterstudy.SlStiff;
z=Parameterstudy.Match;


title('Sphere with Default Color Map');
xlabel('X');ylabel('Y');zlabel('Z');


sf = fit([x, y],z,'poly44');
plot(sf,[x,y],z)
hold on
grid on

n=200;
xs=linspace(2,8,2*n);
ys=linspace(8,12,n);

[xmax,ymax,zmax]=find_max(sf,xs,ys);

colormap winter
shading interp
zlim([0.9 1.05])
plot3(xmax,ymax,zmax,'.','Color','r','MarkerSize',25)

size1=20;

title("SML3 - Mass configuration 1",'FontSize', size1)
xlabel("ASR",'FontSize', size1)
ylabel("SSR",'FontSize', size1)
zlabel("Match",'FontSize', size1)
legend("Trials","Estimated peak",'FontSize', size1)
text(xmax,ymax,1.02*zmax,sprintf('[%.2f, %.2f, %.4f]', xmax,ymax,zmax),'Color','k','FontSize', size1)
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'FontName','Times','fontsize',size1)
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'FontName','Times','fontsize',size1)
%% FUNCTIONS
function [xmax,ymax,zmax]=find_max(sf,xs,ys)
    xmax=0;
    ymax=0;
    zmax=0;
    for xind=1:length(xs)
        for yind =1:length(ys)
            x=xs(xind);
            y=ys(yind);
            z=sf(x,y);
            if z>zmax
                zmax=z;
                xmax=x;
                ymax=y;
            end
        end
    end
end
