MODELNAME = "SML3"
START_ROW = 7
MODIFIED_SUFFIX="-mod"


STEPS={
    "Static"                    : False,
    "Frequency"                 : True,
    "Complex frequency"         : True,
}


EXCEL_MAP ={
    "Materials":
        {
            "Name"                      : ("str", 0),
            "Type"                      : ("str", 1),
            "Density"                   : ("float", 2),
            "E1"                        : ("float", 3),
            "E2"                        : ("float", 4),
            "E3"                        : ("float", 5),
            "Nu12"                      : ("float", 6),
            "Nu13"                      : ("float", 7),
            "Nu23"                      : ("float", 8),
            "G12"                       : ("float", 9),
            "G13"                       : ("float", 10),
            "G23"                       : ("float", 11),
            "Alpha"                     : ("float", 12),
            "Beta"                      : ("float", 13),
            "Composite"                 : ("float", 14),
            "Structural"                : ("float", 15),
        },
    "Walls": 
        {
            "Name"                      : ("str", 0),
            "Storey_base"               : ("str", 1),
            "Storey_top"                : ("str", 2),
            "Axis_follow"               : ("str", 3),
            "Axis_start"                : ("str", 4),
            "Axis_stop"                 : ("str", 5),
            "Section"                   : ("str", 6),   
            "Element width"             : ("float", 7),
            "isFoundation?"             : ("bool", 8),
            "Distributed mass"          : ("float",9),
            "Global mesh size avg"      : ("float",10),
            "Global mesh size min"      : ("float",11),
            "Bounding edge mesh size"   : ("float",12),
            "Internal edge mesh size"   : ("float",13),
            "Element type"              : ("str",14),
            "Face structure"            : ("str",15),
        },
    "Floors":
        {
            "Name"                      : ("str", 0),
            "Storey_base"               : ("str", 1),
            "Num_X"                     : ("int", 2),
            "Num_Z"                     : ("int", 3),
            "Section"                   : ("str", 4),
            "X_start"                   : ("str", 5),   
            "X_stop"                    : ("str", 6),
            "Z_start"                   : ("str", 7),      
            "Z_stop"                    : ("str", 8),
            "Distributed mass"          : ("float",9),
            "Global mesh size avg"      : ("float",10),
            "Global mesh size min"      : ("float",11),
            "Bounding edge mesh size"   : ("float",12),
            "Internal edge mesh size"   : ("float",13),
            "Element type"              : ("str",14),
            "Face structure"            : ("str",15),
        },
    "Openings":
        {
            
        },
    "OpeningPlacement":
        {
            
        },
    "Shell sections":
        {
            "Name"                      : ("str", 0),
            "Type"                      : ("str", 1),
            "Thickness 1"               : ("float", 2),
            "Material 1"                : ("str",   3),
            "Orientation 1"             : ("float", 4),
            "Thickness 2"               : ("float", 5),
            "Material 2"                : ("str",   6),
            "Orientation 2"             : ("float", 7),
            "Thickness 3"               : ("float", 8),
            "Material 3"                : ("str",   9),
            "Orientation 3"             : ("float", 10),
            "Thickness 4"               : ("float", 11),
            "Material 4"                : ("str",   12),
            "Orientation 4"             : ("float", 13),
            "Thickness 5"               : ("float", 14),
            "Material 5"                : ("str",   15),
            "Orientation 5"             : ("float", 16),
            "Thickness 6"               : ("float", 17),
            "Material 6"                : ("str",   18),
            "Orientation 6"             : ("float", 19),
            "Thickness 7"               : ("float", 20),
            "Material 7"                : ("str",   21),
            "Orientation 7"             : ("float", 22),
        },
    "Wire sections":
        {
            "Name"                      : ("str", 0),
            "Type"                      : ("str", 1),
            "a"                         : ("str", 2),
            "b"                         : ("float", 3),
            "c"                         : ("float", 4),
            "d"                         : ("float", 5),
        },
    "ColumnsBeams":
        {
            "Name"                      : ("str", 0),
            "X_coord"                   : ("float", 1),
            "Y_coord"                   : ("float", 2),
            "Z_coord"                   : ("float", 3),
            "X_length"                  : ("float", 4),
            "Y_length"                  : ("float", 5),
            "Z_length"                  : ("float", 6),
            "Section"                   : ("str", 7),
            "isFoundation?"             : ("bool", 8),
            "Distributed mass"          : ("float",9),
            "Global mesh size avg"      : ("float",10),
            "Global mesh size min"      : ("float",11),
            "Bounding edge mesh size"   : ("float",12),
            "Internal edge mesh size"   : ("float",13),
            "Element type"              : ("str",14),
            "Face structure"            : ("str",15),
        },
    "Connector density":
    {
            "Axis"                      : ("str", 0),
            "Axis density"              : ("float",1),
    },
    "Connectors":
    {
            "Name"                      : ("str", 0),
            "Axial stiffness ratio"     : ("float",1),
            "Sliding stiffness ratio"   : ("float",2),
            "Axial damping ratio"       : ("float",3),
            "Sliding damping ratio"     : ("float",4),
    }
}