#-*- coding: mbcs -*-
#region Import and directory
from abaqus import *
from abaqusConstants import *
from part import *
from material import *
from section import *
from assembly import *
from step import *
from interaction import *
from load import *
from mesh import *
from optimization import *
from job import *
from sketch import *
from visualization import *
from connectorBehavior import *
from regionToolset import *
from odbAccess import *

from CONF_config                import *
from UTIL_model                 import *
from UTIL_sets                  import *
from CLASS_classes              import *


def instantiate_connector_section(
    current_model   =[],
    connector_bib   ={},
    connector_data  =[],
):
    connector_bib[connector_data["Name"]]=ConnectorGroup(
        model                       = current_model,
        name                        = connector_data["Name"], 
        axial_stiffness_ratio       = connector_data["Axial stiffness ratio"],
        sliding_stiffness_ratio     = connector_data["Sliding stiffness ratio"],
        axial_damping_ratio         = connector_data["Axial damping ratio"],
        sliding_damping_ratio       = connector_data["Sliding damping ratio"],
        )
    return connector_bib
def generate_connectors(connector_bib):
    for connector in connector_bib.values():
        if connector.name=="CB" or connector.name=="Floor-Floor":
            define_generic_connector(connector.model,connector.name)
        else:
            define_generic_connector(connector.model,connector.name+" | ver")
            define_generic_connector(connector.model,connector.name+" | hor")
        
def define_generic_connector(model,name):
    model.ConnectorSection(
    assembledType   = BUSHING, 
    name            = name
    )
    model.ConnectorSection(
        assembledType   = BUSHING, 
        name            = name
        )
    #Just sets some default value
    model.sections[name].setValues(
        behaviorOptions=(
            ConnectorElasticity(
                table=((1000,1000,1000), ), 
                independentComponents=(), 
                components=(1, 2, 3)
                ),
            ConnectorElasticity(
                behavior=RIGID, 
                table=((0.0, 0.0),), 
                independentComponents=(), 
                components=(4, 5, 6)
                ),
            ConnectorDamping(
                table=((0.01, 0.01, 0.01), ), 
                independentComponents=(), 
                components=(1, 2, 3)
                )
            )
        )

    model.sections[name].behaviorOptions[0].ConnectorOptions()

