# -*- coding: mbcs -*-
from abaqus import *
from abaqusConstants import *
from part import *
from material import *
from section import *
from assembly import *
from step import *
from interaction import *
from load import *
from mesh import *
from optimization import *
from job import *
from sketch import *
from visualization import *
from connectorBehavior import *
from regionToolset import *
from odbAccess import *
from sys import *

import unicodedata


def define_shell_part(
    current_model   = [],
    part_name       = 'Wall panel', 
    width           = [],
    height          = [],
    dimensionality  = THREE_D,
    part_type       = DEFORMABLE_BODY,
):
    current_model.ConstrainedSketch(name='__profile__', sheetSize=5000.0)
    current_model.sketches['__profile__'].rectangle(point1=(0, 0), point2=(width,height))
    part=current_model.Part(
        dimensionality=dimensionality, 
        name=part_name, 
        type=part_type)
    part.BaseShell(sketch=current_model.sketches['__profile__'])
    del current_model.sketches['__profile__']
    return part

def define_wire_part(
    current_model       = [],
    name                = [],   
    length              = []   
):
    current_model.ConstrainedSketch(name='__profile__', sheetSize=200.0)
    current_model.sketches['__profile__'].Line(point1=(0, 0), point2=(0, length))
    part=current_model.Part(dimensionality=THREE_D, name=name, type=DEFORMABLE_BODY)
    current_model.parts[name].BaseWire(sketch=current_model.sketches['__profile__'])
    del current_model.sketches['__profile__']
    return part