co=16
fs=400
from scipy import signal
import numpy as np
import matplotlib.pyplot as plt

font = {'family' : 'normal',
        'weight' : 'normal',
        'size'   : 16}

plt.rc('font', **font)
orders=[1,2,5,10,20]

for order in orders:
    b, a = signal.butter(order, co, 'low', analog=True)
    w, h = signal.freqs(b, a)
    plt.semilogx(w, 20 * np.log10(abs(h)))

lgd= ["n= " + str(order) for order in orders]
plt.title('Butterworth filter frequency response')
plt.xlabel('Frequency [Hz]')
plt.ylabel('Amplitude [dB]')
plt.ylim([-25,1])
plt.margins(0, 0.1)
plt.legend(lgd)
plt.grid(which='both', axis='both')
plt.axvline(co, color='black') # cutoff frequency

plt.show()