from scipy.signal import sosfilt,sosfiltfilt, butter,welch
import matplotlib.pyplot as plt
import numpy as np

rng = np.random.default_rng()

freqs=[2,3,5]
weights=[4,3,2]
filterfreqs=[12]
fs  = 400
time= 2
n   = fs*time
t   = np.linspace(0, time, n)
x   = rng.standard_normal(n)*0

for freq,weight in zip(freqs,weights):
    x+=np.sin(2*np.pi*t*freq)*(weight+1*rng.standard_normal(1))
xnoise=x+rng.standard_normal(n)*2

sos     = butter(5, filterfreqs, output='sos',fs=fs)
y2       = sosfiltfilt(sos, xnoise)

sos     = butter(10, filterfreqs, output='sos',fs=fs)
y1      = sosfilt(sos, xnoise)

font = {'family' : 'DejaVu Sans',
        'weight' : 'normal',
        'size'   : 10}

lw=2.5

plt.rc('font', **font)
fig, ax = plt.subplots(2)
ax[0].plot(t, x, label='Actual process',color=[1,0,0],linestyle='solid',linewidth=lw)
ax[0].plot(t, xnoise, label='Noisy signal',alpha=0.5,color=[0.1,0.1,0.1],linestyle='solid')
ax[0].legend(framealpha=1, shadow=True,loc=1)
ax[0].set(xlim=[0,2])
ax[1].set(xlim=[0,2])
ax[0].set(xticks=[])
ax[1].set(xticks=[])
ax[0].set(yticks=[])
ax[1].set(yticks=[])
ax[1].plot(t, xnoise, label='Noisy signal',alpha=0.5,color=[0.1,0.1,0.1],linestyle='solid')
ax[1].plot(t, y1, label='Forward only filter',color=[0.1,0.1,1],linestyle='solid',linewidth=lw)
ax[1].plot(t, y2, label='Forward-backward filter',color=[1,0.1,0.1],linestyle='solid',linewidth=lw)
ax[1].legend(framealpha=1, shadow=True,loc=1)
ax[1].grid(alpha=0.25)
ax[1].set(xlim=[0,2])

plt.show()